{
// this simple example can be executed in a root session by typing
// root [0] .x example.cxx
// it first builds and loads a shared library from example_readValues.cxx
// then it builds, loads and execute example_draw.cxx
//      this function reads values to plot from a file
// then it builds, loads and execute example_drawVolume.cxx
//      this function plots the volume of each cell

// these two libs must be loaded before the Test Beam lib
gSystem->Load("libPhysics.so");
gSystem->Load("libGeom.so");

// contains the TB Geometry service
gSystem->Load("libTBGeometry.so");

// build and load shared library for example_readValues.cxx
gROOT->ProcessLine(".L example_readValues.cxx+");

string valuesFilePath;
string valuesFileName;
string command;

// build, load and execute example_draw.cxx
valuesFilePath = "./";
valuesFileName = "example_cellEnergyRun12489Event2.dat";
command = ".X example_draw.cxx+(\"" + valuesFilePath + "\", \"" + valuesFileName + "\")";
gROOT->ProcessLine(command.c_str());

// build, load and execute example_drawVolume.cxx
gROOT->ProcessLine(".X example_drawVolume.cxx+");

}
		
